### Installer system

```bash
fdisk /dev/sda
 > g
 > n
 > 1
 > 2048
 > +512M
 > t
 > 1
 > n
 > 2
 > default
 > default
 > t
 > 2
 > 20
 > w

mkfs.fat -F 32 -n boot /dev/sda1

cryptsetup -y -v luksFormat /dev/sda2
cryptsetup -v luksOpen /dev/sda2 nixos
pvcreate /dev/mapper/nixos
vgcreate vg /dev/mapper/nixos
lvcreate -L 8G -n swap vg
lvcreate -L 100G -n root vg
lvcreate -L 100G -n root vg
lvcreate -L 100%FREE -n home vg

mkswap -L swap /dev/vg/swap
mkfs.ext4 -L root /dev/vg/root
mkfs.ext4 -L home /dev/vg/home

mount /dev/disk/by-label/root /mnt/
mkdir -p /mnt/boot
mount /dev/disk/by-label/boot /mnt/boot/
swapon /dev/disk/by-label/swap

nixos-generate-config --root /mnt

nano /mnt/etc/nixos/configuration.nix <- set hostname
nano /mnt/etc/nixos/hardware-configuration.nix  <- set /dev/sda2 uuid as boot.initrd.luks.devices entry

nixos-install

reboot
```
